Loading...
Searching...
No Matches
AutoSchedule.h File Reference
`#include <random>`
`#include <vector>`
`#include "CostModel.h"`
`#include "Featurization.h"`
`#include "FunctionDAG.h"`
`#include "Halide.h"`
`#include "PerfectHashMap.h"`
`#include "SearchSpace.h"`
`#include "State.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal
namespace | Halide::Internal::Autoscheduler

## Functions

void | Halide::Internal::Autoscheduler::find_and_apply_schedule (FunctionDAG &dag, const std::vector< Function > &outputs, const Anderson2021Params &params, const Target &target, CostModel *cost_model, int beam_size, StageMapOfScheduleFeatures *schedule_features)